Name: javacc
Version: 3.2
Release: alt1

Summary: Java Compiler Compiler
Group: Development/Other
License: Sun Binary Code License
Url: http://javacc.dev.java.net/

%define javalibdir %_datadir/java

Source0: %name-%version.tar.bz2

BuildArch: noarch

%description
Java Compiler Compiler (JavaCC) is the most popular parser generator
for use with Java applications. A parser generator is a tool that reads
a grammar specification and converts it to a Java program that can
recognize matches to the grammar. In addition to the parser generator
itself, JavaCC provides other standard capabilities related to parser
generation such as tree building (via a tool called JJTree included with
JavaCC), actions, debugging, etc.

%package manual
Summary: Manual for %name
Group: Development/Other

%description manual
Documentation for %name.

%package demo
Summary: Demo for %name
Group: Development/Other
Requires: %name = %version-%release

%description demo
Demonstrations and samples for %name.

%prep
%setup -q

%install
mkdir -p $RPM_BUILD_ROOT{%javalibdir,%_bindir,%_datadir/%name}
for s in javacc jjdoc jjtree; do
    install -m755 /dev/null $RPM_BUILD_ROOT%_bindir/$s
    cat >$RPM_BUILD_ROOT%_bindir/$s <<EOF
#!/bin/sh

exec java -classpath %javalibdir/javacc.jar $s "\$@"
EOF
done

cp -a examples $RPM_BUILD_ROOT%_datadir/%name

install -p -m644 bin/lib/%name.jar $RPM_BUILD_ROOT%javalibdir/%name.jar

%files
%doc LICENSE
%_bindir/*
%javalibdir/*

%files manual
%doc doc/*

%files demo
%_datadir/%name

%changelog
* Tue Sep 09 2003 Mikhail Zabaluev <mhz@altlinux.ru> 3.2-alt1
- Released for ALT Linux
